#!/bin/bash


install_package() {
    # If for some reason we have to change AUR helpers, this function should make it easy to update everything all at once.
    yay --needed --noconfirm -S "$@"
}

# URL from where wine is downloaded, must be i686
wineURL="https://32.arlm.tyzoid.com/i686/community/wine-5.14-1.0-i686.pkg.tar.zst"

# Install required packages
install_package cabextract box86 dos2unix p7zip unzip xdotool
# Download and install wine
wineFile="$(mktemp)"
wget -O "$wineFile" "$wineURL"
pushd /opt
sudo tar xf "$wineFile"
sudo mv usr wine
popd

# Create files and links in /usr/local/bin
sudo mkdir -p /usr/local/bin
echo -e '#!/bin/bash\nsetarch linux32 -L /opt/wine/bin/wine '"$@" | sudo tee /usr/local/bin/wine > /dev/null
sudo chmod 755 /usr/local/bin/wine
for i in wineboot winecfg wineserver ; do
    sudo ln -s /opt/wine/bin/"$i" /usr/local/bin/"$i"
    sudo chmod 755 /usr/local/bin/"$i"
done

